
From: Andrew Morton <akpm@osdl.org>

- Coding style

- Don't cast when assigning to or from void*

Cc: Dave Johnson <djohnson+linux-kernel@sw.starentnetworks.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/cramfs/inode.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

diff -puN fs/cramfs/inode.c~fix-cramfs-making-duplicate-entries-in-inode-cache-tidy fs/cramfs/inode.c
--- devel/fs/cramfs/inode.c~fix-cramfs-making-duplicate-entries-in-inode-cache-tidy	2005-08-21 22:03:44.000000000 -0700
+++ devel-akpm/fs/cramfs/inode.c	2005-08-21 22:03:44.000000000 -0700
@@ -42,7 +42,7 @@ static DECLARE_MUTEX(read_mutex);
 
 static int cramfs_iget5_test(struct inode *inode, void *opaque)
 {
-	struct cramfs_inode * cramfs_inode = (struct cramfs_inode *)opaque;
+	struct cramfs_inode *cramfs_inode = opaque;
 
 	if (inode->i_ino != CRAMINO(cramfs_inode))
 		return 0; /* does not match */
@@ -66,14 +66,15 @@ static int cramfs_iget5_test(struct inod
 
 static int cramfs_iget5_set(struct inode *inode, void *opaque)
 {
-	struct cramfs_inode * cramfs_inode = (struct cramfs_inode *)opaque;
+	struct cramfs_inode *cramfs_inode = opaque;
 	inode->i_ino = CRAMINO(cramfs_inode);
 	return 0;
 }
 
-static struct inode *get_cramfs_inode(struct super_block *sb, struct cramfs_inode * cramfs_inode)
+static struct inode *get_cramfs_inode(struct super_block *sb,
+				struct cramfs_inode * cramfs_inode)
 {
-	struct inode * inode = iget5_locked(sb, CRAMINO(cramfs_inode),
+	struct inode *inode = iget5_locked(sb, CRAMINO(cramfs_inode),
 					    cramfs_iget5_test, cramfs_iget5_set,
 					    cramfs_inode);
 	static struct timespec zerotime;
_
